using System.ComponentModel.DataAnnotations;
using System.Text.Json.Serialization;

namespace DoliMiddlewareApi.Dtos.VeriFactu;

public class RegisterCertificateDto
{
    [Required]
    [StringLength(100)]
    [JsonPropertyName("cert_name")]
    public string CertName { get; set; } = string.Empty;

    [Required]
    [JsonPropertyName("cert_file")]
    public string CertFile { get; set; } = string.Empty;

    [Required]
    [StringLength(1024)]
    [JsonPropertyName("password")]
    public string Password { get; set; } = string.Empty;
}
